package de.urszeidler.eclipse.callchain.emfgenerators.executables;

import org.eclipse.emf.common.util.EList;

import de.urszeidler.eclipse.callchain.Artifact;
import de.urszeidler.eclipse.callchain.Model;
import de.urszeidler.eclipse.callchain.generatorservice.executables.AbstractExecuteable;

/**
 * The basic emf executor class.
 * @author urs
 *
 */
public abstract class AbstractEmfExecutable extends AbstractExecuteable {
	
	protected static final String GENNODEL_URI = "http://www.eclipse.org/emf/2002/GenModel";


	public AbstractEmfExecutable() {
		super();
	}

	protected Model getEcoreModel(EList<Artifact> uses) {
		return findModelByMetaModel(uses, "#EMF");
	}

}