<?xml version="1.0"?>
<xsl:stylesheet version="1.1"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes" encoding="UTF-8" />
	<xsl:template match="toc">
		<xsl:processing-instruction name="eclipse">
			<xsl:text> version="3.2"</xsl:text>
		</xsl:processing-instruction>
		<plugin>
			<extension name="help.basic" point="org.eclipse.help.toc">
				<toc category="help-atlflow" extradir="eclipse.html/"
					file="eclipse.html/main-index-toc.xml" primary="true">
				</toc>
			</extension>
			<extension name="help" point="org.eclipse.help.toc">
				<xsl:apply-templates />
			</extension>
		</plugin>
	</xsl:template>
	<xsl:template match="/toc/topic/link">
		<xsl:element name="toc">
			<xsl:attribute name="category">help-atlflow</xsl:attribute>
			<xsl:attribute name="primary">false</xsl:attribute>
			<xsl:attribute name="file"><xsl:value-of select="@toc" /></xsl:attribute>
		</xsl:element>
	</xsl:template>

</xsl:stylesheet>