/**
 * 
 */
package de.urszeidler.eclipse.callchain.generatorservice.wizard;


import org.eclipse.pde.core.plugin.IPluginReference;
import org.eclipse.pde.ui.IFieldData;
import org.eclipse.pde.ui.IPluginContentWizard;
import org.eclipse.pde.ui.templates.ITemplateSection;
import org.eclipse.pde.ui.templates.NewPluginTemplateWizard;
import org.eclipse.pde.ui.templates.OptionTemplateSection;
import org.eclipse.pde.ui.templates.PluginReference;

import de.urszeidler.eclipse.callchain.generatorservice.Generatorservice;

/**
 * @author urs
 * 
 */
public class GeneratorPluginContentWizard extends NewPluginTemplateWizard implements IPluginContentWizard {
	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.eclipse.pde.ui.IPluginContentWizard#getDependencies(java.lang.String)
	 */
	@Override
	public IPluginReference[] getDependencies(String schemaVersion) {
		return new IPluginReference[] {
				new PluginReference("org.eclipse.ui", "3.4.0", IPluginReference.GREATER_OR_EQUAL),
				new PluginReference("org.eclipse.core.runtime", "3.4.0", IPluginReference.GREATER_OR_EQUAL),
				new PluginReference("de.urszeidler.eclipse.callchain", "0.0.14", IPluginReference.GREATER_OR_EQUAL),
				new PluginReference(Generatorservice.ID, "0.0.14", IPluginReference.GREATER_OR_EQUAL)

		};
	}


	
	@Override
	public ITemplateSection[] createTemplateSections() {
		OptionTemplateSection templateSection = new GenericGeneratorTemplateSection();

		return new ITemplateSection[] { templateSection };

	}



	public void init(IFieldData data) {
		super.init(data);
		setWindowTitle("");
	}




//	@Override
//	public void init(IProject project, IPluginModelBase pluginModel) {
//	set
//		
//	}

}
