/*******************************************************************************
 * Copyright (c) 2005 Urs Zeidler
 * This program is free software, distributed under the terms of 
 * the GNU General Public License Version 2. See the LICENSE file 
 * at the top of the source tree.
 * 
 *
 * Contributors:
 *     Urs Zeidler
 *******************************************************************************/
/*
 * (c) urs zeidler
 */
package de.urszeidler.eclipse.callchain.propertySource;

import org.eclipse.emf.common.notify.AdapterFactory;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider;
import org.eclipse.ui.views.properties.IPropertySource;


/**
 * 
 * <p>
 * CustomPropertySourceAdapter , stellt die custom property souce bereit
 * </p>
 * Created : 27.10.2005
 * 
 * @author urs
 * @version $Revision: 1.1 $, $Id: CustomPropertySourceAdapter.java,v 1.1
 *          2005/10/27 12:07:08 urs Exp $
 */
public final class CustomPropertySourceAdapter extends
		AdapterFactoryContentProvider {

	public CustomPropertySourceAdapter(AdapterFactory factory) {
		super(factory);

	}

	protected IPropertySource createPropertySource(Object object,
			IItemPropertySource itemPropertySource) {

		return new CustomPropertySource(object, itemPropertySource);
	}
}