/**
 * 
 */
package de.urszeidler.eclipse.callchain.ui;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.handlers.HandlerUtil;

import de.urszeidler.eclipse.callchain.ui.emf.actions.ExecuteCallableAction;

/**
 * @author urs
 *
 */
public class ExecuteCall extends AbstractHandler implements IHandler {

	private ExecuteCallableAction executeCallableAction =  new ExecuteCallableAction();

	/* (non-Javadoc)
	 * @see org.eclipse.core.commands.IHandler#execute(org.eclipse.core.commands.ExecutionEvent)
	 */
	@Override
	public Object execute(ExecutionEvent event) throws ExecutionException {
		ISelection currentSelection = HandlerUtil.getCurrentSelection(event);
		//callAction = 
		executeCallableAction.selectionChanged(executeCallableAction, currentSelection);
		executeCallableAction.run();
		return null;
	}

	
}
