package de.urszeidler.eclipse.callchain.wizards.template.preferences;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;

import de.urszeidler.eclipse.callchain.ui.wizards.WizardsPlugin;

/**
 * Class used to initialize default preference values.
 */
public class PreferenceInitializer extends AbstractPreferenceInitializer {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer#initializeDefaultPreferences()
	 */
	public void initializeDefaultPreferences() {
		IPreferenceStore store = WizardsPlugin.getDefault().getPreferenceStore();

		store.setDefault(PreferenceConstants.P_TEMPLATE_PROJECT_PATH,
				"atl flow transformations");
	}

}
